package service

import (
	"cc-officialweb/models"
	"cc-officialweb/utils"
)

// GetResource 获取资源
func GetResource(types string) []models.Resource {
	var resource []models.Resource
	tx := utils.DB.Where("type = ?", types).Find(&resource)
	if tx.Error != nil {
		return nil
	}
	return resource
}

// UpdateResource 根据id修改图片资源信息
func UpdateResource(resource models.Resource) models.Resource {
	tx := utils.DB.Where("id = ?", resource.ID).Updates(&resource)
	if tx.RowsAffected > 0 {
		return resource
	}
	return models.Resource{}
}
